<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <appSettings>
    <add key="SedonaServer" value="** MUST SET **"/>
    <!-- SQL Server Name -->
    <!-- -->
    <add key="SedonaCompany" value="** MUST SET **"/>
    <!-- Database to tie to -->
    <!-- -->
    <add key="SedonaDocsServer" value="(local)"/>
    <!--<add key="SedonaDocsServer" value="207.58.231.10" />-->
    <!-- SQL Server Name for SedonaDocuments -->
    <!-- -->
    <add key="SedonaDocsDatabase" value="SedonaDocuments"/>
    <!-- Database to tie to for SedonaDocuments -->
    <!-- -->
    <add key="USE_SERVICE" value="True"/>
    <!-- Show Service Tab -->
    <!-- -->
    <add key="USE_BILLING" value="True"/>
    <!-- Show Invoices Tab-->
    <!-- -->
    <add key="Skin" value="Web20"/>
    <!-- Telerik skin for grids -->
    <!-- Black, Default, Forest, Hay, Metro, Office2007, Office2010Black, Office2010Silver, Office2010Blue, Outlook, Simple, Sitefinity, Sunset -->
    <!-- Telerik, Transparent, Vista, Web20, WebBlue, Windows7-->
    <!-- Visit http://www.telerik.com/help/aspnet-ajax/grid-appearance-skins.html for examples of each-->
    <!-- -->
    <add key="LogErrors" value="true"/>
    <!-- true|false (Whether to log errors to LogDirectory or not. -->
    <!-- -->
    <add key="LogDirectory" value="~/App_Data"/>
    <!-- Virtual or full path to directory for logging. Created if it does not exist. Defaults to CommonAppData\SedonaWebLog, usually C:\ProgramData\SedonaWebLog. -->
    <!-- -->
    <add key="EmailErrorsTo" value="webdevelopment@sedonaoffice.com"/>
    <!-- webdevelopment@sedonaoffice.com|{email_to_send_errors_to} -->
    <!-- -->
    <add key="EmailErrorsFrom" value="DevelopmentServer@sedonaoffice.com"/>
    <!-- empty|{email_to_send_errors_from} -->
    <!-- -->
    <add key="smtp" value="DRMail.SedonaOffice.com"/>
    <!-- IP for mail server -->
    <!-- -->
    <add key="smtpPort" value="25"/>
    <!-- Port for mail server -->
    <!-- -->
    <add key="smtpUserName" value=""/>
    <!-- User Name if required for SMTP Server -->
    <!-- -->
    <add key="smtpPassword" value=""/>
    <!-- Password if required for SMTP Server -->
    <!-- -->
    <add key="BANK_ACCOUNT_DELETE" value="true"/>
    <!--True to Allow Users to Delete Bank Accounts.  False to Hide Delete.-->
    <!-- -->
    <add key="CREDIT_CARD_DELETE" value="true"/>
    <!--True to Allow Users to Delete Credit Cards.  False to Hide Delete.-->
    <!-- -->
    <add key="DOCUMENT_TYPE_ID" value="2"/>
    <!--This is the Document_Type_Id column in the table SY_Document_Type from the SedonaDocuments Database. Set this value to the document -->
    <!--type that is desired to be used for all added documents uploaded. -->
    <!-- -->
    <add key="COMPANY_ID" value="45"/>
    <!--This is the Company_Id column in table Company from the SedonaMaster Database that matches the company database you are connecting to. -->
    <!-- -->
    <add key="PaidInvoiceMonths" value="12"/>
    <!-- How far back to show invoices, larger number will decrease performance -->
    <!-- -->
    <add key="AutoHoldDayDefault" value="1"/>
    <!-- This value will be used to Populate the AutoHoldDate value for credit cards with Autopay selected. -->
    <!-- -->
    <add key="ServiceEmailFrom" value="** MUST SET **"/>
    <!-- Service ticket creation from email address -->
    <!-- -->
    <add key="ServiceEmailSubject" value="Service Request"/>
    <!-- Subject for new service ticket emails sent to email address on service company -->
    <!-- -->
    <add key="AccountCreatedEmail" value="** MUST SET **"/>
    <!-- This is where the email is sent to if an account created online email should be sent -->
    <!-- -->
    <add key="PasswordAssistanceEmail" value=""/>
    <!-- This is where the email is sent to if a password assistance email should be sent -->
    <!-- -->
    <add key="ShowServiceTicketCreateNote0" value="true"/>
    <add key="ServiceTicketCreateNote0Label" value=""/>
    <!-- This is the title for the 0th note on the create Service Ticket form ("Comments:" is default). -->
    <!-- -->
    <add key="ShowServiceTicketCreateNote1" value="true"/>
    <add key="ServiceTicketCreateNote1Label" value=""/>
    <!-- This is the title for the first note on the create Service Ticket form ("Full Description:" is default). -->
    <!-- -->
    <add key="ShowServiceTicketCreateNote2" value="true"/>
    <add key="ServiceTicketCreateNote2Label" value=""/>
    <!-- This is the title for the second note on the create Service Ticket form ("Steps to Recreate:" is default). -->
    <!-- -->
    <add key="ShowServiceTicketCreateNote3" value="true"/>
    <add key="ServiceTicketCreateNote3Label" value=""/>
    <!-- This is the title for the third note on the create Service Ticket form ("Other Notes:" is default). -->
    <!-- -->
    <add key="MessagePreLogin" value="This is the logon message"/>
    <!-- This is a message that is displayed on the login page before the user is logged in. -->
    <!-- -->
    <add key="MessageWelcome" value="This is the welcome message"/>
    <!-- This is a message that is displayed after a user is logged in. -->
    <!-- -->
    <add key="DefaultSubCode" value=""/>
    <!-- The Sub Problem Code that will be selected for all tickets created through SedonaWeb. -->
    <!-- Must match the code you wish to assign. Keep it "" if no default Sub Code should be assigned-->
    <!-- -->
    <!--<add key="ConnectionStringOptions" value="pooling = false"/>-->
    <!-- Database options for advanced settings, such as pooling options -->
    <!-- -->
    <!--<add key="ShowNewAndManageCustomerMenuItems" value="true"/>-->
    <!-- Shows "Link New Customer Account" and "Manage Customer Accounts" menu items. -->
    <!-- -->
    <!--<add key="ShowAddAutoHoldDayControls" value="true"/>-->
    <!-- Shows or hides the Auto Hold Days panel when adding credit cards or banks. -->
    <!--<add key="ShowEditAutoHoldDayControls" value="true" />-->
    <!-- Shows or hides the Auto Hold Days panel when editing credit cards or banks. -->
    <!--<add key="ShowMasterAccountInvoicesByCustomer" value="false"/>-->
    <!-- Shows master account invoices grouped by customer like the main app. TFS 1825. -->
    <!-- -->
    <!--<add key="ShowCancelledSubAccounts" value="false"/>-->
    <!-- Shows cancelled sub-accounts in customer overview/customer search on ~/customers/default.aspx. TFS 1825. -->
    <!-- -->
    <!--<add key="EnableSsl" value="false"/>-->
    <!-- Whether to use SSL when sending email from ServiceEmailFrom. -->
    <!-- -->
    <!--<add key="ShowAddServiceTicket" value="true" />-->
    <!-- Shows or hides Add Service Ticket button. Defaults to TRUE. -->
    <!-- -->
    <!--<add key="RoutingNumberLabel" value="Routing Number"/>-->
    <!--<add key="RoutingNumberDescription" value="Enter your bank's routing number"/>-->
    <!-- Text shown on label and description for routing number when adding bank accounts -->
    <!-- -->
    <!--<add key="AchAddressVerificationMethod" value=""/>-->
    <!--
    See page 48 of PaymentsGateway_Integration.pdf for AVS details. SedonaWeb supports the following options:
      22000 - Check and fail on bad zipcode and street number.
      20000 - Check and fail on bad zipcode.
      00000 - Perform no checks.
      
    20000 is the default when left unspecified.
    -->
    <!--<add key="ShowEditAutoPay" value="true" />-->
    <!-- Shows or hides Auto-Pay checkbox. Defaults to TRUE. -->
    <!-- -->
    <!--<add key="ConvertAccountEmailSubject" value="Account Conversion Verification" />-->
    <!-- Subject used for account conversion email. -->
    <!-- -->
    <!--<add key="ForgotPasswordEmailSubject" value="SedonaWeb Password Assistance" />-->
    <!-- Subject used for password reset email. -->
    <!-- -->
    <!--<add key="NewUserEmailSubject" value="Account creation verification email" />-->
    <!-- Subject used for new user email. -->
    <!-- -->
    <!--<add key="SedonaDocsMinimumCount" value="15" />-->
    <!-- SedonaDocs database must have this many Documents in AR_Customer_Documents to enable documents on service tickets. Set to -1 to disable Documents or 0 to enable regardless of count. Defaults to 15. -->
    <!-- -->
    <!--<add key="ShowAlarmAccountCreatingServiceTicket" value="true" />-->
    <!-- Shows the alarm account when creating service tickets. Defaults to true. TFS 2670 -->
    <!-- -->
    <!--<add key="NewAccountsAsBillContacts" value="true" />-->
    <!-- Whether to create new accounts as bill contacts. -->
    <!-- -->
    <!--<add key="NewAccountsAsSiteContacts" value="true" />-->
    <!-- Whether to create new accounts as bill contacts. -->
    <!-- -->
    <!--<add key="SmtpEncryptCredentials" value="false" />-->
    <!-- Whether to encrypt SMTP credentials. Defaults to FALSE. Use /anonymous/e/<input> to encrypt input. -->
    <!-- -->
    <!--<add key="SmtpTimeoutSeconds" value="100" />-->
    <!-- SMTP timeout in seconds. Defaults to 100. -->
    <!-- -->
    <!--<add key="MaxPaymentBank" value="0" />-->
    <!-- Sets maximum payment accepted for bank transactions. Defaults to zero. -->
    <!-- -->
    <!--<add key="MaxPaymentCreditCard" value="0" />-->
    <!-- Sets maximum payment accepted for credit cards transactions. Defaults to zero. -->
    <!-- -->
    <!--<add key="ShowInactiveCustomerAccounts" value="true" />-->
    <!-- Shows inactive customer accounts on Select Customer page for master accounts. Defaults to true. -->
    <!-- -->
    <add key="PaymentProcessor" value="FORTE"/>
    <!-- Payment company name FORTE or INTEGRAPAY -->
  </appSettings>
  <location path="ErrorPage.aspx">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="NewUser.aspx">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="ForgotPassword.aspx">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="EmailVerify.aspx">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="ConvertAccount.aspx">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="ConvertAccountEmail.aspx">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="404.aspx">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="Anonymous">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="js">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="css">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="Customizable">
    <system.web>
      <authorization>
        <allow users="*"/>
      </authorization>
    </system.web>
  </location>
  <!--
    For a description of web.config changes see http://go.microsoft.com/fwlink/?LinkId=235367.

    The following attributes can be set on the <httpRuntime> tag.
      <system.Web>
        <httpRuntime targetFramework="4.6.1" />
      </system.Web>
  -->
  <system.web>
    <!-- 
        Set compilation debug="true" to insert debugging 
        symbols into the compiled page. Because this 
        affects performance, set this value to true only 
        during development.
        -->
    <compilation targetFramework="4.8">
      <assemblies>
        <add assembly="System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
      </assemblies>
    </compilation>
    <!--
            The <authentication> section enables configuration 
            of the security authentication mode used by 
            ASP.NET to identify an incoming user. 
        -->
    <authentication mode="Forms">
      <forms loginUrl="login.aspx" path="/" slidingExpiration="true" timeout="30"/>
    </authentication>
    <authorization>
      <deny users="?"/>
    </authorization>
    <customErrors mode="Off"/>
    <pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID">
      <controls>
        <add tagPrefix="asp" namespace="System.Web.UI.HtmlControls" assembly="System.Web"/>
        <add tagPrefix="ajaxToolkit" assembly="AjaxControlToolkit" namespace="AjaxControlToolkit"/>
      </controls>
    </pages>
    <httpHandlers>
      <add path="Telerik.Web.UI.WebResource.axd" type="Telerik.Web.UI.WebResource" verb="*" validate="false"/>
      <add verb="*" path="*.aspx" type="System.Web.UI.PageHandlerFactory"/>
    </httpHandlers>
    <!--
      maxRequestLength - maximum size in kilobytes of request for uploading files mostly
      requestLengthDiskThreshold - maximum size in bytes buffered in memory before being written to disk
      executionTimeout - maximum amount of seconds before timing out waiting for client
    -->
    <httpRuntime requestValidationMode="2.0" maxRequestLength="3000" requestLengthDiskThreshold="1000000" executionTimeout="1200"/>
    <!--
      stateNetworkTimeout - time in seconds before a TCP/IP request is considered timed out
      sqlCommandTimeout - time in seconds before an SQL Command is considered timed out
      timeout - time in minutes before a session will timeout for inactivity
    -->
    <sessionState stateNetworkTimeout="10" sqlCommandTimeout="30" timeout="20"/>
  </system.web>
  <!-- 
        The system.webServer section is required for running ASP.NET AJAX under Internet
        Information Services 7.0.  It is not necessary for previous version of IIS.
    -->
  <system.webServer>
    <validation validateIntegratedModeConfiguration="false"/>
    <modules runAllManagedModulesForAllRequests="true"/>
    <handlers>
      <add name="Telerik_Web_UI_WebResource_axd" verb="*" preCondition="integratedMode" path="Telerik.Web.UI.WebResource.axd" type="Telerik.Web.UI.WebResource"/>
      <remove name="ExtensionlessUrlHandler-Integrated-4.0"/>
      <remove name="OPTIONSVerbHandler"/>
      <remove name="TRACEVerbHandler"/>
      <add name="ExtensionlessUrlHandler-Integrated-4.0" path="*." verb="*" type="System.Web.Handlers.TransferRequestHandler"
        preCondition="integratedMode,runtimeVersionv4.0"/>
    </handlers>
  </system.webServer>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Web" publicKeyToken="b03f5f7f11d50a3a" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http.Formatting" publicKeyToken="31bf3856ad364e35" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-13.0.0.0" newVersion="13.0.0.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="HtmlAgilityPack" publicKeyToken="bd319b19eaf3b43a" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-1.11.54.0" newVersion="1.11.54.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Data.OData" publicKeyToken="31bf3856ad364e35" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-5.8.4.0" newVersion="5.8.4.0"/>
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>
<!--ProjectGuid: B2651470-DAA1-4206-B72E-83A04DABB311-->